package scripts;

import com.stencyl.graphics.G;
import com.stencyl.graphics.BitmapWrapper;

import com.stencyl.behavior.Script;
import com.stencyl.behavior.Script.*;
import com.stencyl.behavior.ActorScript;
import com.stencyl.behavior.SceneScript;
import com.stencyl.behavior.TimedTask;

import com.stencyl.models.Actor;
import com.stencyl.models.GameModel;
import com.stencyl.models.actor.Animation;
import com.stencyl.models.actor.ActorType;
import com.stencyl.models.actor.Collision;
import com.stencyl.models.actor.Group;
import com.stencyl.models.Scene;
import com.stencyl.models.Sound;
import com.stencyl.models.Region;
import com.stencyl.models.Font;
import com.stencyl.models.Joystick;

import com.stencyl.Engine;
import com.stencyl.Input;
import com.stencyl.Key;
import com.stencyl.utils.Utils;

import openfl.ui.Mouse;
import openfl.display.Graphics;
import openfl.display.BlendMode;
import openfl.display.BitmapData;
import openfl.display.Bitmap;
import openfl.events.Event;
import openfl.events.KeyboardEvent;
import openfl.events.TouchEvent;
import openfl.net.URLLoader;

import box2D.common.math.B2Vec2;
import box2D.dynamics.B2Body;
import box2D.dynamics.B2Fixture;
import box2D.dynamics.joints.B2Joint;
import box2D.collision.shapes.B2Shape;

import motion.Actuate;
import motion.easing.Back;
import motion.easing.Cubic;
import motion.easing.Elastic;
import motion.easing.Expo;
import motion.easing.Linear;
import motion.easing.Quad;
import motion.easing.Quart;
import motion.easing.Quint;
import motion.easing.Sine;

import com.stencyl.graphics.shaders.BasicShader;
import com.stencyl.graphics.shaders.GrayscaleShader;
import com.stencyl.graphics.shaders.SepiaShader;
import com.stencyl.graphics.shaders.InvertShader;
import com.stencyl.graphics.shaders.GrainShader;
import com.stencyl.graphics.shaders.ExternalShader;
import com.stencyl.graphics.shaders.InlineShader;
import com.stencyl.graphics.shaders.BlurShader;
import com.stencyl.graphics.shaders.SharpenShader;
import com.stencyl.graphics.shaders.ScanlineShader;
import com.stencyl.graphics.shaders.CSBShader;
import com.stencyl.graphics.shaders.HueShader;
import com.stencyl.graphics.shaders.TintShader;
import com.stencyl.graphics.shaders.BloomShader;



class SceneEvents_0 extends SceneScript
{
	public var _ImgIinst:BitmapWrapper;
	public var _imgInst2:BitmapWrapper;
	public var _img:BitmapData;
	
	
	public function new(dummy:Int, dummy2:Engine)
	{
		super();
		nameMap.set("ImgIinst", "_ImgIinst");
		nameMap.set("imgInst2", "_imgInst2");
		nameMap.set("img", "_img");
		
	}
	
	override public function init()
	{
		
		/* ======================== When Creating ========================= */
		for(actorOfType in getActorsOfType(getActorType(0)))
		{
			if(actorOfType != null && !actorOfType.dead && !actorOfType.recycled){
				_img = new BitmapData(Std.int(96 * Engine.SCALE), Std.int(96 * Engine.SCALE), true, 0);
				propertyChanged("_img", _img);
				fillImage(_img, Utils.getColorRGB(255,200,0));
				_imgInst2 = new BitmapWrapper(new Bitmap(getExternalImage("animals-bat_192x192.png")));
				propertyChanged("_imgInst2", _imgInst2);
				_imgInst2.scaleX = (50/100);
				_ImgIinst = new BitmapWrapper(new Bitmap(_img));
				propertyChanged("_ImgIinst", _ImgIinst);
				attachImageToActor(_ImgIinst, actorOfType, Std.int(0), Std.int(0), 2);
				attachImageToActor(_imgInst2, actorOfType, Std.int(0), Std.int(0), 1);
			}
		}
		
	}
	
	override public function forwardMessage(msg:String)
	{
		
	}
}